XIfEvent(3X11)

NAME
XIfEvent, XCheckIfEvent, XPeekIfEvent - check the event queue with a predicate procedure

SYNTAX
XIfEvent(display, event_return, predicate, arg)
      Display *display;
      XEvent *event_return;
      Bool (*predicate)();
      XPointer arg;

Bool XCheckIfEvent(display, event_return, predicate, arg)
      Display *display;
      XEvent *event_return;
      Bool (*predicate)();
      XPointer arg;

XPeekIfEvent(display, event_return, predicate, arg)
      Display *display;
      XEvent *event_return;
      Bool (*predicate)();
      XPointer arg;

ARGUMENTS

arg Specifies the user-supplied argument that will be passed to the predicate procedure.

display
    Specifies the connection to the X server.

event_return
    Returns either a copy of or the matched event's associated structure.

predicate
    Specifies the procedure that is to be called to determine if the next event in the queue matches what you want.

DESCRIPTION
The function completes only when the specified predicate procedure returns for an event, which indicates an event in the queue matches. flushes the output buffer if it blocks waiting for additional events. removes the matching event from the queue and copies the structure into the client-supplied structure.

When the predicate procedure finds a match, copies the matched event into the client-supplied structure and returns (This event is removed from the queue.) If the predicate procedure finds no match, returns and the output buffer will have been flushed. All earlier events stored in the queue are not discarded.

The function returns only when the specified predicate procedure returns for an event. After the predicate procedure finds a match, copies the matched event into the client-supplied structure without removing the event from the queue. flushes the output buffer if it blocks waiting for additional events.

SEE ALSO
XAnyEvent(3X11), XNextEvent(3X11), XPutBackEvent(3X11) XSendEvent(3X11)
Xlib - C Language X Interface